classification
Title: Merging test_pep263.py and test_coding.py
Type: enhancement Stage: resolved
Components: Tests, Unicode Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Matthew.Bentley, ezio.melotti, lemburg, loewis, nnorwitz, python-dev, serhiy.storchaka
Priority: normal Keywords: easy, patch

Created on 2013-05-24 09:30 by serhiy.storchaka, last changed 2016-03-20 19:39 by serhiy.storchaka. This issue is now closed.

Files
File name Uploaded Description Edit
fix_issue_18048.patch Matthew.Bentley, 2013-06-11 03:30 Fixes issue 18048, I think review
Messages (8)
msg189902 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-05-24 09:30
There are two test files for the same feature -- defining Python source code encodings (PEP 263). It is not clear where new tests should be added. Perhaps two files should be merged into the one file.

test_pep263.py was added in 2002, test_coding.py was added in 2005.
msg189908 - (view) Author: Martin v. Löwis (loewis) * (Python committer) Date: 2013-05-24 12:19
For a bug fix release, I consider refactoring of test cases inappropriate.

If they really ought to be merged, I consider neither file name particularly descriptive, so perhaps a new file name should be used altogether (e.g. test_source_encoding).
msg190827 - (view) Author: Ezio Melotti (ezio.melotti) * (Python committer) Date: 2013-06-08 21:41
> e.g. test_source_encoding

This SGTM.  I particularly dislike test_pep*, especially when I can't remember the pep number.
msg190943 - (view) Author: Matthew Bentley (Matthew.Bentley) Date: 2013-06-11 03:30
OK, I think I fixed this.  I merged the two tests into one, called test_source_encoding.py.  It doesn't fail, and I'm not sure what else I need to do.  

Patch is attached.

This is also my first patch, so please tell me if I'm doing anything wrong.
msg191063 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-06-13 07:12
New changeset 00a199c265c3 by Serhiy Storchaka in branch 'default':
Issue #18048: Rename test_pep263.py to test_source_encoding.py.
http://hg.python.org/cpython/rev/00a199c265c3

New changeset 3b906421245d by Serhiy Storchaka in branch 'default':
Issue #18048: Rename test_coding.py to test_source_encoding.py.
http://hg.python.org/cpython/rev/3b906421245d

New changeset 464e8fd7300d by Serhiy Storchaka in branch 'default':
Issue #18048: Merge test_pep263.py and test_coding.py into test_source_encoding.py.
http://hg.python.org/cpython/rev/464e8fd7300d
msg191064 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-06-13 07:16
Merging itself is trivial. The trick is how preserve the history of both files. Unfortunately this can't be represented in one mercurial patch. Three commits needed for this.
msg262086 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2016-03-20 19:20
New changeset 776e9b8bdd96 by Serhiy Storchaka in branch '2.7':
Issue #18048: Rename test_pep263.py to test_source_encoding.py.
https://hg.python.org/cpython/rev/776e9b8bdd96

New changeset deadfb03dec0 by Serhiy Storchaka in branch '2.7':
Issue #18048: Rename test_coding.py to test_source_encoding.py.
https://hg.python.org/cpython/rev/deadfb03dec0

New changeset c42d743779bd by Serhiy Storchaka in branch '2.7':
Issue #18048: Merge test_pep263.py and test_coding.py into test_source_encoding.py.
https://hg.python.org/cpython/rev/c42d743779bd
msg262087 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2016-03-20 19:39
Backported to 2.7 for the sake of easier backporting new tests.
History
Date User Action Args
2016-03-20 19:39:03serhiy.storchakasetmessages: + msg262087
2016-03-20 19:20:39python-devsetmessages: + msg262086
2013-06-13 07:16:01serhiy.storchakasetstatus: open -> closed
resolution: fixed
messages: + msg191064

stage: resolved
2013-06-13 07:12:55python-devsetnosy: + python-dev
messages: + msg191063
2013-06-11 03:30:23Matthew.Bentleysetfiles: + fix_issue_18048.patch

nosy: + Matthew.Bentley
messages: + msg190943

keywords: + patch
2013-06-08 21:41:34ezio.melottisetmessages: + msg190827
2013-05-31 20:22:50serhiy.storchakasetkeywords: + easy
2013-05-24 12:19:11loewissetmessages: + msg189908
versions: - Python 2.7, Python 3.3
2013-05-24 09:30:12serhiy.storchakacreate